<?xml version="1.0" encoding="UTF-8"?>
<phpunit xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:noNamespaceSchemaLocation="https://schema.phpunit.de/9.6/phpunit.xsd"
         bootstrap="tests/app/vendor/autoload.php"
         cacheResultFile=".cache/phpunit/test-results-rector"
         executionOrder="depends,defects"
         forceCoversAnnotation="true"
         beStrictAboutCoversAnnotation="true"
         beStrictAboutOutputDuringTests="true"
         beStrictAboutTodoAnnotatedTests="true"
         convertDeprecationsToExceptions="true"
         failOnRisky="true"
         failOnWarning="true"
         verbose="true"
         colors="true"
>
    <testsuites>
        <testsuite name="default">
            <directory>utils/rector/tests</directory>
        </testsuite>
    </testsuites>

    <coverage cacheDirectory=".cache/phpunit/code-coverage-rector"
              processUncoveredFiles="true">
        <include>
            <directory suffix=".php">utils/rector/src</directory>
        </include>
    </coverage>
</phpunit>
